
// ignore_for_file: constant_identifier_names

class LocalizationKeys {
  static const String general                         = "general";
  static const String general_apply                   = "$general.apply";
  static const String general_cancel                  = "$general.cancel";
  static const String general_confirm                 = "$general.confirm";
  static const String general_discard                 = "$general.discard";
  static const String general_confirmDiscard          = "$general.confirmDiscard";
  static const String general_delete                  = "$general.delete";
  static const String general_confirmDelete           = "$general.confirmDelete";
  static const String general_save                    = "$general.save";
  static const String general_close                   = "$general.close";
  static const String general_saveAndClose            = "$general.saveAndClose";
  static const String general_saveAsIs                = "$general.saveAsIs";
  static const String general_keepEditing             = "$general.keepEditing";
  static const String general_next                    = "$general.next";
  static const String general_edit                    = "$general.edit";
  static const String general_per                     = "$general.per";
  static const String general_example                 = "$general.example";
  static const String general_suffixes                = "$general.suffixes";
  static const String general_suffixes_units          = "$general_suffixes.units";
  static const String general_suffixes_carbs          = "$general_suffixes.carbs";
  static const String general_suffixes_mins           = "$general_suffixes.mins";
  static const String general_suffixes_carbsPerU      = "$general_suffixes.carbsPerU";
  static const String general_suffixes_uPerBreadUnit  = "$general_suffixes.uPerBreadUnit";
  static const String general_suffixes_uPerGlucose    = "$general_suffixes.uPerGlucose";
  static const String general_suffixes_perDay         = "$general_suffixes.perDay";

  static const String navigation                      = "navigation";
  static const String navigation_log                  = "$navigation.log";
  static const String navigation_logEvents            = "$navigation.logEvents";
  static const String navigation_reports              = "$navigation.reports";
  static const String navigation_meals                = "$navigation.meals";
  static const String navigation_basalProfiles        = "$navigation.basalProfiles";
  static const String navigation_bolusProfiles        = "$navigation.bolusProfiles";
  static const String navigation_categorization       = "$navigation.categorization";
  static const String navigation_settings             = "$navigation.settings";

  static const String accuracy                         = "accuracy";
  static const String accuracy_empty                   = "$accuracy.empty";
  static const String accuracy_saved                   = "$accuracy.saved";
  static const String accuracy_saved_1                 = "$accuracy_saved.1";
  static const String accuracy_saved_else              = "$accuracy_saved.else";
  static const String accuracy_deleted                 = "$accuracy.deleted";
  static const String accuracy_confirmDelete           = "$accuracy.confirmDelete";
  static const String accuracy_new                     = "$accuracy.new";
  static const String accuracy_fields                  = "$accuracy.fields";
  static const String accuracy_fields_name             = "$accuracy_fields.name";
  static const String accuracy_fields_forPortionSize   = "$accuracy_fields.forPortionSize";
  static const String accuracy_fields_forCarbsRatio    = "$accuracy_fields.forCarbsRatio";
  static const String accuracy_fields_confidenceRating = "$accuracy_fields.confidenceRating";
  static const String accuracy_fields_notes            = "$accuracy_fields.notes";
  static const String accuracy_fields_validators       = "$accuracy_fields.validators";
  static const String accuracy_fields_validators_name  = "$accuracy_fields_validators.name";
  static const String accuracy_title                   = "$accuracy.title";
  static const String accuracy_detail                  = "$accuracy.detail";
  static const String accuracy_detail_title            = "$accuracy_detail.title";

  static const String basal                               = "basal";
  static const String basal_empty                         = "$basal.empty";
  static const String basal_warnings                      = "$basal.warnings";
  static const String basal_warnings_duplicate            = "$basal_warnings.duplicate";
  static const String basal_warnings_overlap              = "$basal_warnings.overlap";
  static const String basal_warnings_startTimeFirst       = "$basal_warnings.startTimeFirst";
  static const String basal_warnings_gap                  = "$basal_warnings.gap";
  static const String basal_warnings_endTimeLast          = "$basal_warnings.endTimeLast";
  static const String basal_saved                         = "$basal.saved";
  static const String basal_saved_1                       = "$basal_saved.1";
  static const String basal_saved_else                    = "$basal_saved.else";
  static const String basal_deleted                       = "$basal.deleted";
  static const String basal_confirmDelete                 = "$basal.confirmDelete";
  static const String basal_new                           = "$basal.new";
  static const String basal_fields                        = "$basal.fields";
  static const String basal_fields_startTime              = "$basal_fields.startTime";
  static const String basal_fields_endTime                = "$basal_fields.endTime";
  static const String basal_fields_units                  = "$basal_fields.units";
  static const String basal_title                         = "$basal.title";

  static const String basalProfile                                    = "basalProfile";
  static const String basalProfile_empty                              = "$basalProfile.empty";
  static const String basalProfile_warnings                           = "$basalProfile.warnings";
  static const String basalProfile_warnings_noActive                  = "$basalProfile_warnings.noActive";
  static const String basalProfile_warnings_noActiveOnCreate          = "$basalProfile_warnings.noActiveOnCreate";
  static const String basalProfile_warnings_multipleActive            = "$basalProfile_warnings.multipleActive";
  static const String basalProfile_warnings_activeAlreadySet          = "$basalProfile_warnings.activeAlreadySet";
  static const String basalProfile_warnings_resolve                   = "$basalProfile_warnings.resolve";
  static const String basalProfile_warnings_resolve_activate          = "$basalProfile_warnings_resolve.activate";
  static const String basalProfile_warnings_resolve_activateCurrent   = "$basalProfile_warnings_resolve.activateCurrent";
  static const String basalProfile_warnings_resolve_create            = "$basalProfile_warnings_resolve.create";
  static const String basalProfile_warnings_resolve_createInstead     = "$basalProfile_warnings_resolve.createInstead";
  static const String basalProfile_warnings_resolve_pick              = "$basalProfile_warnings_resolve.pick";
  static const String basalProfile_warnings_resolve_ignore            = "$basalProfile_warnings_resolve.ignore";
  static const String basalProfile_warnings_resolve_deactivateProfile = "$basalProfile_warnings_resolve.deactivateProfile";
  static const String basalProfile_warnings_resolve_deactivateOthers  = "$basalProfile_warnings_resolve.deactivateOthers";
  static const String basalProfile_saved                              = "$basalProfile.saved";
  static const String basalProfile_default                            = "$basalProfile.default";
  static const String basalProfile_active                             = "$basalProfile.active";
  static const String basalProfile_copied                             = "$basalProfile.copied";
  static const String basalProfile_copyOf                             = "$basalProfile.copyOf";
  static const String basalProfile_deleted                            = "$basalProfile.deleted";
  static const String basalProfile_confirmDelete                      = "$basalProfile.confirmDelete";
  static const String basalProfile_activated                          = "$basalProfile.activated";
  static const String basalProfile_new                                = "$basalProfile.new";
  static const String basalProfile_fields                             = "$basalProfile.fields";
  static const String basalProfile_fields_name                        = "$basalProfile_fields.name";
  static const String basalProfile_fields_notes                       = "$basalProfile_fields.notes";
  static const String basalProfile_fields_active                      = "$basalProfile_fields.active";
  static const String basalProfile_fields_validators                  = "$basalProfile_fields.validators";
  static const String basalProfile_fields_validators_name             = "$basalProfile_fields_validators.name";
  static const String basalProfile_title                              = "$basalProfile.title";
  static const String basalProfile_detail                             = "$basalProfile.detail";
  static const String basalProfile_detail_title                       = "$basalProfile_detail.title";
  static const String basalProfile_detail_tabs                        = "$basalProfile_detail.tabs";
  static const String basalProfile_detail_tabs_profile                = "$basalProfile_detail_tabs.profile";
  static const String basalProfile_detail_tabs_rates                  = "$basalProfile_detail_tabs.rates";

  static const String bolus                             = "bolus";
  static const String bolus_empty                       = "$bolus.empty";
  static const String bolus_warnings                    = "$bolus.warnings";
  static const String bolus_warnings_duplicate          = "$bolus_warnings.duplicate";
  static const String bolus_warnings_overlap            = "$bolus_warnings.overlap";
  static const String bolus_warnings_startTimeFirst     = "$bolus_warnings.startTimeFirst";
  static const String bolus_warnings_gap                = "$bolus_warnings.gap";
  static const String bolus_warnings_endTimeLast        = "$bolus_warnings.endTimeLast";
  static const String bolus_saved                       = "$bolus.saved";
  static const String bolus_saved_1                     = "$bolus_saved.1";
  static const String bolus_saved_else                  = "$bolus_saved.else";
  static const String bolus_deleted                     = "$bolus.deleted";
  static const String bolus_confirmDelete               = "$bolus.confirmDelete";
  static const String bolus_new                         = "$bolus.new";
  static const String bolus_fields                      = "$bolus.fields";
  static const String bolus_fields_startTime            = "$bolus_fields.startTime";
  static const String bolus_fields_endTime              = "$bolus_fields.endTime";
  static const String bolus_fields_units                = "$bolus_fields.units";
  static const String bolus_fields_perCarbs             = "$bolus_fields.perCarbs";
  static const String bolus_fields_perGlucose           = "$bolus_fields.perGlucose";
  static const String bolus_title                       = "$bolus.title";

  static const String bolusProfile                                    = "bolusProfile";
  static const String bolusProfile_empty                              = "$bolusProfile.empty";
  static const String bolusProfile_warnings                           = "$bolusProfile.warnings";
  static const String bolusProfile_warnings_noActive                  = "$bolusProfile_warnings.noActive";
  static const String bolusProfile_warnings_noActiveOnCreate          = "$bolusProfile_warnings.noActiveOnCreate";
  static const String bolusProfile_warnings_multipleActive            = "$bolusProfile_warnings.multipleActive";
  static const String bolusProfile_warnings_activeAlreadySet          = "$bolusProfile_warnings.activeAlreadySet";
  static const String bolusProfile_warnings_resolve                   = "$bolusProfile_warnings.resolve";
  static const String bolusProfile_warnings_resolve_activate          = "$bolusProfile_warnings_resolve.activate";
  static const String bolusProfile_warnings_resolve_activateCurrent   = "$bolusProfile_warnings_resolve.activateCurrent";
  static const String bolusProfile_warnings_resolve_create            = "$bolusProfile_warnings_resolve.create";
  static const String bolusProfile_warnings_resolve_createInstead     = "$bolusProfile_warnings_resolve.createInstead";
  static const String bolusProfile_warnings_resolve_pick              = "$bolusProfile_warnings_resolve.pick";
  static const String bolusProfile_warnings_resolve_ignore            = "$bolusProfile_warnings_resolve.ignore";
  static const String bolusProfile_warnings_resolve_deactivateProfile = "$bolusProfile_warnings_resolve.deactivateProfile";
  static const String bolusProfile_warnings_resolve_deactivateOthers  = "$bolusProfile_warnings_resolve.deactivateOthers";
  static const String bolusProfile_saved                              = "$bolusProfile.saved";
  static const String bolusProfile_default                            = "$bolusProfile.default";
  static const String bolusProfile_active                             = "$bolusProfile.active";
  static const String bolusProfile_copied                             = "$bolusProfile.copied";
  static const String bolusProfile_copyOf                             = "$bolusProfile.copyOf";
  static const String bolusProfile_deleted                            = "$bolusProfile.deleted";
  static const String bolusProfile_confirmDelete                      = "$bolusProfile.confirmDelete";
  static const String bolusProfile_activated                          = "$bolusProfile.activated";
  static const String bolusProfile_new                                = "$bolusProfile.new";
  static const String bolusProfile_fields                             = "$bolusProfile.fields";
  static const String bolusProfile_fields_name                        = "$bolusProfile_fields.name";
  static const String bolusProfile_fields_notes                       = "$bolusProfile_fields.notes";
  static const String bolusProfile_fields_active                      = "$bolusProfile_fields.active";
  static const String bolusProfile_fields_validators                  = "$bolusProfile_fields.validators";
  static const String bolusProfile_fields_validators_name             = "$bolusProfile_fields_validators.name";
  static const String bolusProfile_title                              = "$bolusProfile.title";
  static const String bolusProfile_detail                             = "$bolusProfile.detail";
  static const String bolusProfile_detail_title                       = "$bolusProfile_detail.title";
  static const String bolusProfile_detail_tabs                        = "$bolusProfile_detail.tabs";
  static const String bolusProfile_detail_tabs_profile                = "$bolusProfile_detail_tabs.profile";
  static const String bolusProfile_detail_tabs_rates                  = "$bolusProfile_detail_tabs.rates";

  static const String categories = "categories";

  static const String log                                                       = "log";
  static const String log_title                                                 = "$log.title";
  static const String log_empty                                                 = "$log.empty";
  static const String log_confirmDelete                                         = "$log.confirmDelete";
  static const String log_saved                                                 = "$log.saved";
  static const String log_deleted                                               = "$log.deleted";
  static const String log_new                                                   = "$log.new";
  static const String log_fields                                                = "$log.fields";
  static const String log_fields_date                                           = "$log_fields.date";
  static const String log_fields_time                                           = "$log_fields.time";
  static const String log_fields_glucose                                        = "$log_fields.glucose";
  static const String log_fields_notes                                          = "$log_fields.notes";
  static const String log_filter                                                = "$log.filter";
  static const String log_filter_startDate                                      = "$log_filter.startDate";
  static const String log_filter_endDate                                        = "$log_filter.endDate";
  static const String log_filter_minGlucose                                     = "$log_filter.minGlucose";
  static const String log_filter_maxGlucose                                     = "$log_filter.maxGlucose";
  static const String log_filter_meal                                           = "$log_filter.meal";
  static const String log_filter_mealNameContains                               = "$log_filter.mealNameContains";
  static const String log_filter_noteContains                                   = "$log_filter.noteContains";
  static const String log_detail                                                = "$log.detail";
  static const String log_detail_title                                          = "$log_detail.title";
  static const String log_detail_tabs                                           = "$log_detail.tabs";
  static const String log_detail_tabs_general                                   = "$log_detail_tabs.general";
  static const String log_detail_tabs_meal                                      = "$log_detail_tabs.meal";
  static const String log_detail_tabs_meal_title                                = "$log_detail_tabs_meal.title";
  static const String log_detail_tabs_meal_saved                                = "$log_detail_tabs_meal.saved";
  static const String log_detail_tabs_meal_new                                  = "$log_detail_tabs_meal.new";
  static const String log_detail_tabs_meal_empty                                = "$log_detail_tabs_meal.empty";
  static const String log_detail_tabs_meal_confirmDelete                        = "$log_detail_tabs_meal.confirmDelete";
  static const String log_detail_tabs_meal_deleted                              = "$log_detail_tabs_meal.deleted";
  static const String log_detail_tabs_meal_detail                               = "$log_detail_tabs_meal.detail";
  static const String log_detail_tabs_meal_detail_title                         = "$log_detail_tabs_meal_detail.title";
  static const String log_detail_tabs_meal_detail_additionalFields              = "$log_detail_tabs_meal_detail.additionalFields";
  static const String log_detail_tabs_meal_detail_fields                        = "$log_detail_tabs_meal_detail.fields";
  static const String log_detail_tabs_meal_detail_fields_meal                   = "$log_detail_tabs_meal_detail_fields.meal";
  static const String log_detail_tabs_meal_detail_fields_name                   = "$log_detail_tabs_meal_detail_fields.name";
  static const String log_detail_tabs_meal_detail_fields_amount                 = "$log_detail_tabs_meal_detail_fields.amount";
  static const String log_detail_tabs_meal_detail_fields_portionSize            = "$log_detail_tabs_meal_detail_fields.portionSize";
  static const String log_detail_tabs_meal_detail_fields_carbsRatio             = "$log_detail_tabs_meal_detail_fields.carbsRatio";
  static const String log_detail_tabs_meal_detail_fields_totalCarbs             = "$log_detail_tabs_meal_detail_fields.totalCarbs";
  static const String log_detail_tabs_meal_detail_fields_setManually            = "$log_detail_tabs_meal_detail_fields.setManually";
  static const String log_detail_tabs_meal_detail_fields_notes                  = "$log_detail_tabs_meal_detail_fields.notes";
  static const String log_detail_tabs_meal_detail_fields_mealSource             = "$log_detail_tabs_meal_detail_fields.mealSource";
  static const String log_detail_tabs_meal_detail_fields_mealCategory           = "$log_detail_tabs_meal_detail_fields.mealCategory";
  static const String log_detail_tabs_meal_detail_fields_mealPortionType        = "$log_detail_tabs_meal_detail_fields.mealPortionType";
  static const String log_detail_tabs_meal_detail_fields_portionSizeAccuracy    = "$log_detail_tabs_meal_detail_fields.portionSizeAccuracy";
  static const String log_detail_tabs_meal_detail_fields_carbsRatioAccuracy     = "$log_detail_tabs_meal_detail_fields.carbsRatioAccuracy";
  static const String log_detail_tabs_meal_detail_fields_validators             = "$log_detail_tabs_meal_detail_fields.validators";
  static const String log_detail_tabs_meal_detail_fields_validators_name        = "$log_detail_tabs_meal_detail_fields_validators.name";
  static const String log_detail_tabs_bolus                                     = "$log_detail_tabs.bolus";
  static const String log_detail_tabs_bolus_title                               = "$log_detail_tabs_bolus.title";
  static const String log_detail_tabs_bolus_saved                               = "$log_detail_tabs_bolus.saved";
  static const String log_detail_tabs_bolus_new                                 = "$log_detail_tabs_bolus.new";
  static const String log_detail_tabs_bolus_deleted                             = "$log_detail_tabs_bolus.deleted";
  static const String log_detail_tabs_bolus_confirmDelete                       = "$log_detail_tabs_bolus.confirmDelete";
  static const String log_detail_tabs_bolus_delayedBy                           = "$log_detail_tabs_bolus.delayedBy";
  static const String log_detail_tabs_bolus_forMeal                             = "$log_detail_tabs_bolus.forMeal";
  static const String log_detail_tabs_bolus_toCorrect                           = "$log_detail_tabs_bolus.toCorrect";
  static const String log_detail_tabs_bolus_empty                               = "$log_detail_tabs_bolus.empty";
  static const String log_detail_tabs_bolus_detail                              = "$log_detail_tabs_bolus.detail";
  static const String log_detail_tabs_bolus_detail_title                        = "$log_detail_tabs_bolus_detail.title";
  static const String log_detail_tabs_bolus_detail_fields                       = "$log_detail_tabs_bolus_detail.fields";
  static const String log_detail_tabs_bolus_detail_fields_units                 = "$log_detail_tabs_bolus_detail_fields.units";
  static const String log_detail_tabs_bolus_detail_fields_setManually           = "$log_detail_tabs_bolus_detail_fields.setManually";
  static const String log_detail_tabs_bolus_detail_fields_forGlucose            = "$log_detail_tabs_bolus_detail_fields.forGlucose";
  static const String log_detail_tabs_bolus_detail_fields_forMeal               = "$log_detail_tabs_bolus_detail_fields.forMeal";
  static const String log_detail_tabs_bolus_detail_fields_current               = "$log_detail_tabs_bolus_detail_fields.current";
  static const String log_detail_tabs_bolus_detail_fields_target                = "$log_detail_tabs_bolus_detail_fields.target";
  static const String log_detail_tabs_bolus_detail_fields_correction            = "$log_detail_tabs_bolus_detail_fields.correction";
  static const String log_detail_tabs_bolus_detail_fields_meal                  = "$log_detail_tabs_bolus_detail_fields.meal";
  static const String log_detail_tabs_bolus_detail_fields_carbs                 = "$log_detail_tabs_bolus_detail_fields.carbs";
  static const String log_detail_tabs_bolus_detail_fields_delayedBolusDuration  = "$log_detail_tabs_bolus_detail_fields.delayedBolusDuration";
  static const String log_detail_tabs_bolus_detail_fields_immediateBolus        = "$log_detail_tabs_bolus_detail_fields.immediateBolus";
  static const String log_detail_tabs_bolus_detail_fields_delayedBolus          = "$log_detail_tabs_bolus_detail_fields.delayedBolus";

  static const String meal                                        = "meal";
  static const String meal_title                                  = "$meal.title";
  static const String meal_empty                              = "$meal.empty";
  static const String meal_confirmDelete                          = "$meal.confirmDelete";
  static const String meal_saved                                  = "$meal.saved";
  static const String meal_deleted                                = "$meal.deleted";
  static const String meal_new                                    = "$meal.new";
  static const String meal_fields                                 = "$meal.fields";
  static const String meal_fields_name                            = "$meal_fields.name";
  static const String meal_fields_mealSource                      = "$meal_fields.mealSource";
  static const String meal_fields_mealPortionType                 = "$meal_fields.mealPortionType";
  static const String meal_fields_notes                           = "$meal_fields.notes";
  static const String meal_fields_carbsRatio                      = "$meal_fields.carbsRatio";
  static const String meal_fields_setManually                     = "$meal_fields.setManually";
  static const String meal_fields_portionSize                     = "$meal_fields.portionSize";
  static const String meal_fields_carbsPerPortion                 = "$meal_fields.carbsPerPortion";
  static const String meal_fields_delay                           = "$meal_fields.delay";
  static const String meal_fields_delay_title                     = "$meal_fields_delay.title";
  static const String meal_fields_delay_duration                  = "$meal_fields_delay.duration";
  static const String meal_fields_additional                      = "$meal_fields.additional";
  static const String meal_fields_additional_title                = "$meal_fields_additional.title";
  static const String meal_fields_additional_mealCategory         = "$meal_fields_additional.mealCategory";
  static const String meal_fields_additional_portionSizeAccuracy  = "$meal_fields_additional.portionSizeAccuracy";
  static const String meal_fields_additional_carbsRatioAccuracy   = "$meal_fields_additional.carbsRatioAccuracy";
  static const String meal_fields_validators                      = "$meal_fields.validators";
  static const String meal_fields_validators_name                 = "$meal_fields_validators.name";
  static const String meal_detail                                 = "$meal.detail";
  static const String meal_detail_title                           = "$meal_detail.title";

  static const String mealSource                                    = "mealSource";
  static const String mealSource_title                              = "$mealSource.title";
  static const String mealSource_empty                              = "$mealSource.empty";
  static const String mealSource_confirmDelete                      = "$mealSource.confirmDelete";
  static const String mealSource_saved                              = "$mealSource.saved";
  static const String mealSource_deleted                            = "$mealSource.deleted";
  static const String mealSource_new                                = "$mealSource.new";
  static const String mealSource_fields                             = "$mealSource.fields";
  static const String mealSource_fields_name                        = "$mealSource_fields.name";
  static const String mealSource_fields_notes                       = "$mealSource_fields.notes";
  static const String mealSource_fields_defaultCarbsRatioAccuracy   = "$mealSource_fields.defaultCarbsRatioAccuracy";
  static const String mealSource_fields_defaultPortionSizeAccuracy  = "$mealSource_fields.defaultPortionSizeAccuracy";
  static const String mealSource_fields_defaultMealCategory         = "$mealSource_fields.defaultMealCategory";
  static const String mealSource_fields_defaultMealPortionType      = "$mealSource_fields.defaultMealPortionType";
  static const String mealSource_fields_validators                  = "$mealSource_fields.validators";
  static const String mealSource_fields_validators_name             = "$mealSource_fields_validators.name";
  static const String mealSource_detail                             = "$mealSource.detail";
  static const String mealSource_detail_title                       = "$mealSource_detail.title";

  static const String mealCategory                                  = "mealCategory";
  static const String mealCategory_title                            = "$mealCategory.title";
  static const String mealCategory_empty                            = "$mealCategory.empty";
  static const String mealCategory_confirmDelete                    = "$mealCategory.confirmDelete";
  static const String mealCategory_saved                            = "$mealCategory.saved";
  static const String mealCategory_deleted                          = "$mealCategory.deleted";
  static const String mealCategory_new                              = "$mealCategory.new";
  static const String mealCategory_fields                           = "$mealCategory.fields";
  static const String mealCategory_fields_name                      = "$mealCategory_fields.name";
  static const String mealCategory_fields_notes                     = "$mealCategory_fields.notes";
  static const String mealCategory_fields_validators                = "$mealCategory_fields.validators";
  static const String mealCategory_fields_validators_name           = "$mealCategory_fields_validators.name";
  static const String mealCategory_detail                           = "$mealCategory.detail";
  static const String mealCategory_detail_title                     = "$mealCategory_detail.title";

  static const String portionType                                  = "portionType";
  static const String portionType_title                            = "$portionType.title";
  static const String portionType_empty                            = "$portionType.empty";
  static const String portionType_confirmDelete                    = "$portionType.confirmDelete";
  static const String portionType_saved                            = "$portionType.saved";
  static const String portionType_deleted                          = "$portionType.deleted";
  static const String portionType_new                              = "$portionType.new";
  static const String portionType_fields                           = "$portionType.fields";
  static const String portionType_fields_name                      = "$portionType_fields.name";
  static const String portionType_fields_notes                     = "$portionType_fields.notes";
  static const String portionType_fields_validators                = "$portionType_fields.validators";
  static const String portionType_fields_validators_name           = "$portionType_fields_validators.name";
  static const String portionType_detail                           = "$portionType.detail";
  static const String portionType_detail_title                     = "$portionType_detail.title";

  static const String eventType                                    = "eventType";
  static const String eventType_title                              = "$eventType.title";
  static const String eventType_empty                              = "$eventType.empty";
  static const String eventType_saved                              = "$eventType.saved";
  static const String eventType_deleted                            = "$eventType.deleted";
  static const String eventType_new                                = "$eventType.new";
  static const String eventType_fields                             = "$eventType.fields";
  static const String eventType_fields_name                        = "$eventType_fields.name";
  static const String eventType_fields_notes                       = "$eventType_fields.notes";
  static const String eventType_fields_hasEndTime                  = "$eventType_fields.hasEndTime";
  static const String eventType_fields_defaultReminderDuration     = "$eventType_fields.defaultReminderDuration";
  static const String eventType_fields_bolusProfile                = "$eventType_fields.bolusProfile";
  static const String eventType_fields_basalProfile                = "$eventType_fields.basalProfile";
  static const String eventType_fields_validators                  = "$eventType_fields.validators";
  static const String eventType_fields_validators_name             = "$eventType_fields_validators.name";
  static const String eventType_detail                             = "$eventType.detail";
  static const String eventType_detail_title                       = "$eventType_detail.title";

  static const String event                                        = "event";
  static const String event_warnings                               = "$event.warnings";
  static const String event_warnings_duplicate                     = "$event_warnings.duplicate";
  static const String event_title                                  = "$event.title";
  static const String event_titleActive                            = "$event.titleAcive";
  static const String event_empty                                  = "$event.empty";
  static const String event_emptyActive                            = "$event.emptyActive";
  static const String event_saved                                  = "$event.saved";
  static const String event_deleted                                = "$event.deleted";
  static const String event_confirmDelete                          = "$event.confirmDelete";
  static const String event_end                                    = "$event.end";
  static const String event_ended                                  = "$event.ended";
  static const String event_confirmEnd                             = "$event.confirmEnd";
  static const String event_new                                    = "$event.new";
  static const String event_fields                                 = "$event.fields";
  static const String event_fields_eventType                       = "$event_fields.eventType";
  static const String event_fields_startDate                       = "$event_fields.startDate";
  static const String event_fields_endDate                         = "$event_fields.endDate";
  static const String event_fields_date                            = "$event_fields.date";
  static const String event_fields_startTime                       = "$event_fields.startTime";
  static const String event_fields_endTime                         = "$event_fields.endTime";
  static const String event_fields_time                            = "$event_fields.time";
  static const String event_fields_notes                           = "$event_fields.notes";
  static const String event_fields_hasEndTime                      = "$event_fields.hasEndTime";
  static const String event_fields_reminderDuration                = "$event_fields.reminderDuration";
  static const String event_fields_bolusProfile                    = "$event_fields.bolusProfile";
  static const String event_fields_basalProfile                    = "$event_fields.basalProfile";
  static const String event_detail                                  = "$event.detail";
  static const String event_detail_title                            = "$event_detail.title";

  static const String settings                                    = "settings";
  static const String settings_title                              = "$settings.title";
  static const String settings_reset                              = "$settings.reset";
  static const String settings_resetAll                           = "$settings.resetAll";
  static const String settings_confirmReset                       = "$settings.confirmReset";
  static const String settings_updated                            = "$settings.updated";
  static const String settings_sections                           = "$settings.sections";
  static const String settings_sections_measurements              = "$settings_sections.measurements";
  static const String settings_sections_confirmation              = "$settings_sections.confirmation";
  static const String settings_sections_dateTimeFormat            = "$settings_sections.dateTimeFormat";
  static const String settings_fields                             = "$settings.fields";
  static const String settings_fields_nutritionMeasurement        = "$settings_fields.nutritionMeasurement";
  static const String settings_fields_glucoseMeasurement          = "$settings_fields.glucoseMeasurement";
  static const String settings_fields_targetGlucose               = "$settings_fields.targetGlucose";
  static const String settings_fields_insulinIncrement            = "$settings_fields.insulinIncrement";
  static const String settings_fields_nutritionIncrement          = "$settings_fields.nutritionIncrement";
  static const String settings_fields_mmolLIncrement              = "$settings_fields.mmolLIncrement";
  static const String settings_fields_onlyDisplayActive           = "$settings_fields.onlyDisplayActive";
  static const String settings_fields_displayBothDetail           = "$settings_fields.displayBothDetail";
  static const String settings_fields_displayBothList             = "$settings_fields.displayBothList";
  static const String settings_fields_confirmOnCancel             = "$settings_fields.confirmOnCancel";
  static const String settings_fields_confirmOnDelete             = "$settings_fields.confirmOnDelete";
  static const String settings_fields_confirmOnEndEvent           = "$settings_fields.confirmOnEndEvent";
  static const String settings_fields_dateFormat                  = "$settings_fields.dateFormat";
  static const String settings_fields_longDateFormat              = "$settings_fields.longDateFormat";
  static const String settings_fields_timeFormat                  = "$settings_fields.timeFormat";
  static const String settings_fields_longTimeFormat              = "$settings_fields.longTimeFormat";

  static const String reports                                        = "reports";
  static const String reports_title                                  = "$reports.title";
  static const String reports_ids                                    = "$reports.ids";
  static const String reports_ids_glucose                            = "$reports_ids.glucose";
  static const String reports_ids_carbs                              = "$reports_ids.carbs";
  static const String reports_ids_basal                              = "$reports_ids.basal";
  static const String reports_ids_bolus                              = "$reports_ids.bolus";
  static const String reports_dailyCharts                            = "$reports.dailyCharts";
  static const String reports_dailyCharts_showChart                  = "$reports_dailyCharts.showChart";
  static const String reports_dailyCharts_showBolus                  = "$reports_dailyCharts.showBolus";
  static const String reports_dailyCharts_showBasal                  = "$reports_dailyCharts.showBasal";
  static const String reports_dailyCharts_showMeals                  = "$reports_dailyCharts.showMeals";
  static const String reports_dailyCharts_empty                      = "$reports_dailyCharts.empty";
  static const String reports_sections                               = "$reports.sections";
  static const String reports_sections_dailyReport                   = "$reports_sections.dailyReport";
  static const String reports_sections_pdfReport                     = "$reports_sections.pdfReport";
  static const String reports_export                                 = "$reports.export";
  static const String reports_export_title                           = "$reports_export.title";
  static const String reports_export_singleDate                      = "$reports_export.singleDate";
  static const String reports_export_range                           = "$reports_export.range";
  static const String reports_export_date                            = "$reports_export.date";
  static const String reports_export_endDate                         = "$reports_export.endDate";
  static const String reports_export_showChart                       = "$reports_export.showChart";
  static const String reports_export_showBolus                       = "$reports_export.showBolus";
  static const String reports_export_showBasal                       = "$reports_export.showBasal";
  static const String reports_export_showMeals                       = "$reports_export.showMeals";
  static const String reports_export_showTable                       = "$reports_export.showTable";
  static const String reports_export_export                          = "$reports_export.export";
  static const String reports_export_tableHeaders                    = "$reports_export.tableHeaders";
  static const String reports_export_tableHeaders_time               = "$reports_export_tableHeaders.time";
  static const String reports_export_tableHeaders_glucose            = "$reports_export_tableHeaders.glucose";
  static const String reports_export_tableHeaders_bolus              = "$reports_export_tableHeaders.bolus";
  static const String reports_export_tableHeaders_notes              = "$reports_export_tableHeaders.notes";
  static const String reports_export_tableHeaders_meals              = "$reports_export_tableHeaders.meals";
  static const String reports_export_tableHeaders_portionSize        = "$reports_export_tableHeaders.portionSize";
  static const String reports_export_tableHeaders_carbs              = "$reports_export_tableHeaders.carbs";
  static const String reports_export_tableHeaders_mealBolus          = "$reports_export_tableHeaders.mealBolus";
  static const String reports_export_tableHeaders_mealNotes          = "$reports_export_tableHeaders.mealNotes";

  static const String export                                = "export";
  static const String export_error                          = "$export.error";

}
